Knowledge Base

The VMware Knowledge Base provides support solutions, error messages and troubleshooting guides
 
Search the VMware Knowledge Base (KB)   View by Article ID
 

升级到ESXi 5.0最佳实践 (2030476)

Purpose

目的

本文提供了关于升级到ESXi 5.0的信息。

注:

l 本文假设您已阅读了vSphere Upgrade Guide。指南中包含权威信息。如果指南和本文中有差异,假设指南是正确的。

l ESXi 5.0可通过Update Manager提供。更多信息,请参考Methods of upgrading to ESXi 5.0 (2004501).

Resolution

解决方案

随着vSphere 5.0的引入,ESX已不再使用。ESXi是用于数据中心服务器虚化的唯一版本。由于体系架构从ESX改变到ESXi,不能确保所有的配置文件,设置和第三方工具迁移到ESXi 5.0。请确保您在执行升级前,保留并记录了所有配置更改。更多信息,请参考vSphere Upgrade Guide .

注:如果虚拟机位于ESX/ESXi主机的本地存储上,VMware强烈建议您在升级前备份这些虚拟机,。

当迁移到ESXi 5.0,请确定:

1. 您的硬件在VMware Compatibility Guide中是兼容的。这包括:

¡ 系统兼容性

¡ I/O兼容性(网络和HBA卡)

¡ 存储兼容性

¡ 备份软件兼容性

2. 您有一个64位处理器。VMware ESXi 5.0只能安装并运行在64位 X86 CPU的服务器上。它同时仅支持LAHF和SAHF CPU指令。已知的64位处理器有:

¡ 所有AMD Opteron处理器

¡ 所有Intel Xeon 3000/3200, 3100/3300, 5100/5300, 5200/5400, 5500/5600, 7100/7300, 7200/7400和7500处理器

3. 在主机的BIOS中启动Intel VT。

4. 您有2GB的内存。这是安装的最低要求。

5. 您有一个或多个千兆或万兆网卡。关于支持的网络适配器型号列表,请参考VMware Compatibility Guide.

6. 您为虚拟机准备了一个SCSI磁盘或本地的,非网络RAID卷,并且未分区。对于串行ATA(SATA),是通过支持的SAS控制器或支持的板载SATA控制器磁盘连接。SATA磁盘被认为是远程的,而不是本地的。这些磁盘不能用作默认的scratch分区,因为他们被认为是远程的。

注:在一台ESXi 5.0主机上,您不能连接一个SATA CD-ROM设备到一台虚拟机。要使用SATA CD-ROM设备,你必须使用IDE模拟模式。

7. 您正在使用一个受支持的存储系统。ESXi 5.0支持在如下存储系统上安装并启动:

¡ SATA 磁盘启动. 支持的板载SATA 包括:

n Intel ICH9

n NVIDIA MCP55

n ServerWorks HT1000

注: 不支持在多个ESXi 5.0间共享SATA磁盘VMFS数据存储。

¡ SATA 磁盘驱动器连接到支持的SAS控制器后。支持的SAS控制器包括:

n LSI1068E (LSISAS3442E)

n LSI1068 (SAS 5)

n IBM ServeRAID 8K SAS controller

n Smart Array P400/256 controller

n Dell PERC 5.0.1 controller

8. 你有串行连接SCSI(SAS)磁盘驱动器。他们支持安装ESXi 5.0和在VMFS分区上存储虚拟机。

9. 你有一个专用的光纤 SAN磁盘或iSCSI SAN磁盘。

10. 你有USB设备。他们支持安装ESXi 5.0。对于支持的USB设备列表,请参见VMware Compatibility Guide

vSphere 5.0支持从统一可扩展固件接口(UEFI)引导ESXi主机。使用UEFI,您可以从硬盘驱动器,CD-ROM驱动器或USB媒体来启动系统。网络引导或使用VMware Auto Deploy置备,都需要传统的BIOS固件而不是UEFI。

注:

¡ 如果您正在使用的系统固件和任何附加卡上的固件支持,ESXi可以从大于2TB的磁盘启动。欲了解更多信息,请参阅供应商文档。

¡ 在您安装ESXi 5.0后将启动类型从传统BIOS改变到UEFI,可能会导致主机无法启动。在这种情况下,主机会显示类似如下的错误消息:

Not a VMware boot bank. Changing the host boot type between legacy BIOS and UEFI is not supported after you install ESXi 5.0.

11. 如果您要将ESXi安装在本地磁盘上,并且如果一个光纤SAN连接在ESXi主机上,请在安装前分离光纤。如果不切断光纤,你可能会不经意地选择某个HBA适配器作为主引导分区,这会导致连接到HBA适配器上的LUN数据丢失。如果您将ESXi 5.0安装到VMFS卷上,它现在会识别。然而,仍建议您执行此步骤。

注:请不要在BIOS中禁用HBA卡

Additional Information

其他信息

关于升级到ESXi 5.0和vSphere 5.0新功能的更多信息,请参考What's New in VMware vSphere 5.0 Platform技术白皮书。

See Also

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 0 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.
What can we do to improve this information? (4000 or fewer characters)
  • 0 Ratings
Actions
KB: